SelectionParameters
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.selection.io
Class SelectionParameters

    java.lang.Object
      org.gcube.dir.master.selection.io.SelectionParameters

    public class SelectionParameters

extends java.lang.Object

Base implementation of input parameters for collection selection algorithms. It assumes the existence of a `Query` parameter.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`SelectionParameters(Query query, SelectionCriterion criterion)` Creates a new instance from the query with respect to which collections are to be selected.

Method Summary
`SelectionCriterion` | `getCriterion()` Returns the criterion with respect to which collections are selected.
`Query` | `getQuery()` Sets the query with respect to which collections are to be selected.
`void` | `setCriterion(SelectionCriterion criterion)` Sets the criterion with respect to which collections are selected.
`void` | `setQuery(Query query)` Sets the query with respect to which collections are selected.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionParameters

    public SelectionParameters(Query query,
                               SelectionCriterion criterion)

  Creates a new instance from the query with respect to which collections are to be selected.

  Parameters:
    `query` - the query.

Method Detail

### getQuery

    public Query getQuery()

  Sets the query with respect to which collections are to be selected.

  Returns:
    the query.

### setQuery

    public void setQuery(Query query)

  Sets the query with respect to which collections are selected.

  Parameters:
    `query` - the query.

### getCriterion

    public SelectionCriterion getCriterion()

  Returns the criterion with respect to which collections are selected.

  Returns:
    the criterion.

### setCriterion

    public void setCriterion(SelectionCriterion criterion)

  Sets the criterion with respect to which collections are selected.

  Parameters:
    `the` - criterion.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD